package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.RelResAd1;
import com.goldenwater.slgc.mapper.RelResAd1Mapper;
import com.goldenwater.slgc.service.RelResAd1Service;

/** 水库行政信息关联 业务实现 */
@Service
public class RelResAd1ServiceImpl implements RelResAd1Service {
    @Autowired
    private RelResAd1Mapper relResAd1Mapper;

    @Override
    public List<RelResAd1> selectRelResAd1List(RelResAd1 relResAd1) {
        return relResAd1Mapper.selectRelResAd1List(relResAd1);
    }

    @Override
    public RelResAd1 selectRelResAd1ById(RelResAd1 relResAd1) {
        return relResAd1Mapper.selectRelResAd1ById(relResAd1);
    }

    @Override
    public int deleteRelResAd1ById(RelResAd1 relResAd1) {
        return relResAd1Mapper.deleteRelResAd1ById(relResAd1);
    }

    @Override
    public int insertRelResAd1(RelResAd1 relResAd1) {
        return relResAd1Mapper.insertRelResAd1(relResAd1);
    }

    @Override
    public int updateRelResAd1(RelResAd1 relResAd1) {
        return relResAd1Mapper.updateRelResAd1(relResAd1);
    }
}
